Subject: Re: problem building linux

From: [email-masked]
Date: Tue, 7 Apr 1998 17:13:17 +0200

On Mon, Apr 06, 1998 at 11:45:47AM -0700, Ariel Faigon wrote:

> Ralf,
> 
> This bounced recently from the list...
> anyway, you may be the main interested party so....

> ----- Forwarded message from owner-linux@cthulhu -----
> 
> Date: Mon, 6 Apr 1998 09:46:26 -0700 (PDT)
> Message-Id: <[email-masked]>
> To: owner-linux@cthulhu
> Subject: BOUNCE [email-masked]:    Non-member submission from [Alex deVries <[email-masked]>]   Message too long (>40000 chars)  
> 

> Message-ID: <[email-masked]>

Alex, are you subscribed as [email-masked]?  That'll
bounce.

> When I boot, I get the following error (copied by hand):
> Command Monitor.   Type "exit" or click on "done" to return to the menu.
> >> boot vmlinux91a
> 115360+19584+334528+42744d+4248+6368 entry: 0x8bfa8850
> 
> Exception: <vector=UTLB Miss>
> Status register: 0x30004803<CUI,CU0,IM7,IM4,IPL=???,MODE=KERNEL,EXL,IE>
> Cause register: 0x8008<CE=0,IP8,EXC=RMISS>
> Exception PC: 0x8813eb40, Exception RA: 0x88000253c
> exception, bad address: 0x7c
> Local I/O interrupt register 1: 0x80 <VR/GIO2>
>   Saved user regs in hex (&gpda 0xa8740e48, &_regs 0xa8741048):
>   arg: 7 8bfff938 8bfffc40 8800250c
>   tmp: 881928c 88192c8c 10 88147c8c 14 8bfad9e0 0 48
>   sve: 8bfdf3e8 8bfffc40 8bfb2720 ...
> 
> <snip>
> PANIC: Unexpection exception

If you are using binutils 2.8.1, then please try removing the ``-N'' flag
from the definition for LINKFLAGS in arch/mips/Makefile.  The ELF section
to segment layout is broken when using -N.

  Ralf